%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.8
%global pypi_name types-cryptography

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        3.3.23
Release:        1.0.3%{?dist}
Summary:        Typing stubs for cryptography

License:        Apache-2.0 license
URL:            https://github.com/python/typeshed
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        LICENSE
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
cp %{SOURCE1} .
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%{python3_sitelib}/cryptography-stubs
%{python3_sitelib}/types_cryptography-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Aug 23 2024 Rafael Barron Moreno <rafael.barron@oracle.com> - 3.3.23-1.0.3
- Rebuild for python 3.11 [JIRA: OLAM-333]

* Mon Apr 24 2023 Lans Hung <lans.hung@oracle.com> - 3.3.23.1.0.2
- Add LICENSE

* Thu Feb 2 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 3.3.23-1.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-32]

* Fri Sep 30 2022 Odilon Sousa <osousa@redhat.com> - 3.3.23-1
- Initial package.
